import java.util.*;
import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;
import javax.swing.*;

class fa extends f_xj
{
double func(double x[]) 
{
//çözümü istenen fonksiyon	
double ff;
ff=(1.0-x[0])*(1.0-x[0])+100*(x[1]-x[0]*x[0])*(x[1]-x[0]*x[0]);
return ff; //maksimum testi
}
}

public class bat1test
{
public static void main(String arg[])
{
fa ff=new fa();
double xmin[]={0,0};
double xmax[]={2,2};
bat  b=new bat(ff,200,xmin,xmax,100000);
double x0[]=b.xmin();
String s="bat search : \n"+b.toString()  ;  
     String s2="Bat search optimization method ";
     JOptionPane.showMessageDialog(null,s,s2,JOptionPane.PLAIN_MESSAGE);
b.plot();
     }

}